ℹ️
Welcome to the archive of the old FlatPress support forum. Browse more than a decade of FlatPress wisdom! Login is disabled.

The current FlatPress support forum is available here: forum.flatpress.org
Come posso aggiornare la versione FP 0.1010.2?
  • Scusate, forse sto intasando il forum con le stesse domande, ma ho un problema circa l'identificazione e l'aggiornamento della mia versione. 
    Aprendo il file di testo di un post ho scoperto che la versione del mio blog è "version fp 0.1010.2".
    Come posso aggiornarlo all'ultima versione?
    Mi aiutate?
    Grazie
  • Ciao, per aggiornare basta che copi via ftp i nuovi file sul server sostituendo quelli che hai. Mi raccomando non sovrascrivere i file della cartella fp-content. Tutto il resto si. Non importa copiare la cartella setup. Fatto questo il blog è aggiornato e non dovresti avere nessun cambiamento "visibile" ovvero tutte le impostazioni personalizzate sono mantenute (perché salvate nei file della cartella fp-content che non deve essere toccata)
  • Ciao, grazie delle risposte. 
    Quindi posso scaricare la versione di sotto e fare l'aggiornamento? 
    Giusto? Grazie ancora.

    FP 1.0.3
    https://github.com/evacchi/flatpress/commit/d4ad93a661c158df52a53b17fcaad8a963545033?diff=unified 
  • https://github.com/evacchi/flatpress/archive/v1.0.3.zip
  • Ottimo. Seguirò le tue indicazioni. Grazie ancora. 
  • Un'ultima cosa: se ho modificato il tema e le dimensioni delle colonne, è sufficiente salvare la cartella fp-interface? 
  • Ho fatto una prova così come mi hai detto sul blog http://www.musicletter.it/parcodellacollina/ ma ho diversi errori.
  • Rimettendo però tutta la cartella FB-Interface precedente e modificando tutto il resto come hai detto tu, sembra essere tornato tutto a posto. Ora però non saprei se è aggiornato. 
  • basta che non cancelli il tuo tema e non noterai differenze, devi sovrascrivere solo i file del blog. il tuo tema è nella cartella temi ma non viene sovrascritto, quindi stai tranquillo
  • Lantaca, ho fatto tutto ma solo nel blog principale non ha funzionato.
    Ora http://www.musicletter.it/ non funziona più. Ho il mio tema modificato e la cartella fp-content salvata ma quando cerco di ricostruirlo mi dice che è bloccato. Eppure ho dato tutti i permessi in lettura e scrittura. 
    Sono in crisi. Potresti aiutarmi a ripristinare il blog www.musicletter.it? 
  • Non ti allarmare, fino a che non cancelli la cartella fp-content sei al sicuro e tutto è ripristina bile. Anzi, salvati sul pc questa cartella, così ti fai un backup
  • Salvati anche i temi personalizzati e i plugin che hai aggiunto nel tempo che non fanno parte dell'installazione originale. Fatto questo cancella tutto fuorché fp-content e ricopia nuovamente tutti i file e cartelle di FP 1.0.2, ricopia i plugin aggiunti e i temi personali. Fatto questo deve funzionare per forza
  • Fatto questo metti il tema Leggero, vai su manutenzione nel pannello di amministrazione e ricostruisci l'indice, i permessi e svuota la chech Dopo rimetti il tuo tema
  • La cache come si svuota? Sempre dal pannello di manutenzione? 
    Ci provo. Grazie di cuore. 
  • Quando ricostruisco l'indice con la vecchia versione mi dà sempre questo errore
    <b>Warning</b>:  Could not acquire write lock on INDEX. Didn't I told you FlatPress is not designed for concurrency, already? ;) Don't worry: your entry has been saved as draft! in <b>D:\inetpub\webs\musicletterit\fp-includes\core\core.entry.php</b> on line <b>90</b><br />
  • Ora sembra che sia andato con la vecchia versione. Non capisco perché una volta che metto la nuova versione e poi aggiungo un nuovo post salta tutto e mi riconsegna l'errore 404. Forse, prima di creare un nuovo post, dovrei - tramite il pannello manutenzione - ripristinare i permessi, eliminare la cache e poi ripristinare il nuovo indice affinché non mi dia errore? 
  • non saprei proprio, anche a me la versione 1.0.3 ha dato problemi con il plugin lightbox2, ovvero quello che fa aprire le immagini ingrandite in una finestra. ho rimesso la 1.0.2 e tutto funziona bene. Hai provato ad installare la 1.0.2 per vedere come va?
  • Ora funziona. Il problema con la versione 1.0.2 è che, per esempio, nel menu laterale lo script di un FEED/RSS che ho inserito da notte tempo non mi visualizza più le immagini in miniatura, ovvero le thumbnail, mentre avevo notato - prima del crash dovuto all'inserimento di un nuovo post - che con la versione 1.0.3 si vedevano. 

    La prossima volta vorrei ritentare a mettere la versione aggiornata 1.0.3 seguendo questa specie di procedura. 

    1. Installare tutte le cartelle, tranne FP-content, conservando però i temi personalizzati di leggero. 
    2. Prima di mettere un nuovo post (momento in cui salta tutto), fare, tramite il pannello di manutenzione:
        2.1 - Ripristina i permessi 
        2.2 - Elimina cache 
        2.3 - Ripristina nuovo indice

    Tu cosa dici? 


        

  • Sì, l'indice va ricostruito per prima cosa, poi dopo provi a mettere altri post. Molto carino il blog, c'è un sacco di lavoro alle spalle immagino, complimenti!
  • Sì, tanto lavoro, vero. Grazie per i complimenti. Tu, alla fine, sei passato all'ultima versione? Vorrei riprovarci più in là, ma secondo te c'è la possibilità di cambiare solo i file modificati o meglio aggiornati? Poi, una cosa non capisco: perché improvvisamente non mi viene più visualizzato l'immagine di fianco alla notizia nel menu a destra del blog? Non capisco... Questo è lo script:
  • <script type=  "text/javascript" src="//p3k.org/rss/index.js?url=http%3A%2F%2Ffeeds.feedburner.com%2Fmlindienews&maxItems=10&width=200&height=-1&radius=5&frameColor=%23b3a28e&titleBarColor=%2390a8b3&titleBarTextColor=%23ffead2&boxFillColor=%23DDDDBB&textColor=%23000000&linkColor=%232c7395&fontFace=10pt%20sans-serif&headless=true">  </script>
Start a New Discussion

Howdy, Stranger!

It looks like you're new here. If you want to get involved, click one of these buttons!

In this Discussion